Index: trunk/ab5.0/abdev/ProjectEditor/ProjectEditor.rc
===================================================================
--- trunk/ab5.0/abdev/ProjectEditor/ProjectEditor.rc	(revision 440)
+++ trunk/ab5.0/abdev/ProjectEditor/ProjectEditor.rc	(revision 466)
@@ -1,3 +1,3 @@
-//Microsoft Developer Studio generated resource script.
+// Microsoft Visual C++ generated resource script.
 //
 #include "resource.h"
@@ -28,10 +28,10 @@
 //
 
-1 TEXTINCLUDE DISCARDABLE 
+1 TEXTINCLUDE 
 BEGIN
     "resource.h\0"
 END
 
-2 TEXTINCLUDE DISCARDABLE 
+2 TEXTINCLUDE 
 BEGIN
     "#include ""afxres.h""\r\n"
@@ -39,5 +39,5 @@
 END
 
-3 TEXTINCLUDE DISCARDABLE 
+3 TEXTINCLUDE 
 BEGIN
     "\r\n"
@@ -57,28 +57,67 @@
 #if defined(APSTUDIO_INVOKED) || defined(PROJECTEDITOR)
 #if defined(APSTUDIO_INVOKED)
-IDI_MAIN$(PROJECTEDITOR) ICON    DISCARDABLE     "icon1.ico"
+IDI_MAIN$(PROJECTEDITOR) ICON                    "icon1.ico"
 #else
-IDI_MAIN                ICON    DISCARDABLE     "icon1.ico"
+IDI_MAIN                ICON                    "icon1.ico"
 #endif
 #endif
-IDI_BASICPROGRAM        ICON    DISCARDABLE     "BasicProgram.ico"
-IDI_TEXTDOCUMENT        ICON    DISCARDABLE     "TextDocument.ico"
-IDI_FOLDER_CLOSE        ICON    DISCARDABLE     "folder_close.ico"
-IDI_FOLDER_OPEN         ICON    DISCARDABLE     "folder_open.ico"
-IDI_WINDOW              ICON    DISCARDABLE     "Window.ico"
-IDI_PROCEDURE           ICON    DISCARDABLE     "Procedure.ico"
-IDI_FILE_PJ             ICON    DISCARDABLE     "file_pj.ico"
-IDI_FILE_BAS            ICON    DISCARDABLE     "file_bas.ico"
-IDI_FILE_SBP            ICON    DISCARDABLE     "file_sbp.ico"
-IDI_FILE_ICON           ICON    DISCARDABLE     "file_icon.ico"
-IDI_FILE_BMP            ICON    DISCARDABLE     "file_bmp.ico"
-IDI_FILE_CURSOR         ICON    DISCARDABLE     "ico00001.ico"
+IDI_BASICPROGRAM        ICON                    "BasicProgram.ico"
+IDI_TEXTDOCUMENT        ICON                    "TextDocument.ico"
+IDI_FOLDER_CLOSE        ICON                    "folder_close.ico"
+IDI_FOLDER_OPEN         ICON                    "folder_open.ico"
+IDI_WINDOW              ICON                    "Window.ico"
+IDI_PROCEDURE           ICON                    "Procedure.ico"
+IDI_FILE_PJ             ICON                    "file_pj.ico"
+IDI_FILE_BAS            ICON                    "file_bas.ico"
+IDI_FILE_SBP            ICON                    "file_sbp.ico"
+IDI_FILE_ICON           ICON                    "file_icon.ico"
+IDI_FILE_BMP            ICON                    "file_bmp.ico"
+IDI_FILE_CURSOR         ICON                    "ico00001.ico"
 #if defined(APSTUDIO_INVOKED) || defined(THETEXT)
 #if defined(APSTUDIO_INVOKED)
-IDI_MAIN$(THETEXT)      ICON    DISCARDABLE     "main.ico"
+IDI_MAIN$(THETEXT)      ICON                    "main.ico"
 #else
-IDI_MAIN                ICON    DISCARDABLE     "main.ico"
+IDI_MAIN                ICON                    "main.ico"
 #endif
 #endif
+
+/////////////////////////////////////////////////////////////////////////////
+//
+// Version
+//
+
+VS_VERSION_INFO VERSIONINFO
+ FILEVERSION 5,0,6,0
+ PRODUCTVERSION 5,0,6,0
+ FILEFLAGSMASK 0x17L
+#ifdef _DEBUG
+ FILEFLAGS 0x1L
+#else
+ FILEFLAGS 0x0L
+#endif
+ FILEOS 0x4L
+ FILETYPE 0x1L
+ FILESUBTYPE 0x0L
+BEGIN
+    BLOCK "StringFileInfo"
+    BEGIN
+        BLOCK "041104b0"
+        BEGIN
+            VALUE "CompanyName", "activebasic.com"
+            VALUE "FileDescription", "ActiveBasic"
+            VALUE "FileVersion", "5, 0, 6, 0"
+            VALUE "InternalName", "abdev"
+            VALUE "LegalCopyright", "Copyright (C) 2008 activebasic.com"
+            VALUE "OriginalFilename", "abdev.exe"
+            VALUE "ProductName", "ActiveBasic"
+            VALUE "ProductVersion", "5, 0, 6, 0"
+        END
+    END
+    BLOCK "VarFileInfo"
+    BEGIN
+        VALUE "Translation", 0x411, 1200
+    END
+END
+
 #endif    // 日本語 resources
 /////////////////////////////////////////////////////////////////////////////
